﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Infragistics.Controls.Menus;
using System.Windows;

namespace XamDataTree_Deleting
{
    public class CustomXamDataTree : XamDataTree
    {
        protected override void OnNodeDeleting(CancellableNodeDeletionEventArgs args)
        {

            if (MessageBox.Show($"Delete {(args.Node.Data as SomeData).Name}?", "Question", MessageBoxButton.YesNo, MessageBoxImage.Warning) == MessageBoxResult.No)
            {
                args.Cancel = true;
            }
            else
            {
                args.Cancel = false;
            }
        }
    }
}
